//----------------------------------------------------------------------------------------------------------------------
// A list of validation functions that are commonly used.
//
// @module validators
//----------------------------------------------------------------------------------------------------------------------


//----------------------------------------------------------------------------------------------------------------------

module.exports = {
    isEmail: function(val)
    {
        // Taken from: http://stackoverflow.com/a/1373724/480970. Should be good enough for government work.
        var emailRE = /[a-z0-9!#$%&'*+\/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+\/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?/;
        return emailRE.test(val);
    },
    isIPv4: function(val)
    {
        var match = val.match(/^(\d+)\.(\d+)\.(\d+)\.(\d+)$/);
        return match !== null &&
            match[1] <= 255 && match[2] <= 255 &&
            match[3] <= 255 && match[4] <= 255;
    }
}; // end exports

//----------------------------------------------------------------------------------------------------------------------
